var _____WB$wombat$assign$function_____=function(name){return (self._wb_wombat && self._wb_wombat.local_init && self._wb_wombat.local_init(name))||self[name];};if(!self.__WB_pmw){self.__WB_pmw=function(obj){this.__WB_source=obj;return this;}}{
let window = _____WB$wombat$assign$function_____("window");
let self = _____WB$wombat$assign$function_____("self");
let document = _____WB$wombat$assign$function_____("document");
let location = _____WB$wombat$assign$function_____("location");
let top = _____WB$wombat$assign$function_____("top");
let parent = _____WB$wombat$assign$function_____("parent");
let frames = _____WB$wombat$assign$function_____("frames");
let opens = _____WB$wombat$assign$function_____("opens");
jQuery(window).on('elementor/frontend/init', function () {
  function pafeAddCustomCss(css, context) {
    if (!context) {
      return DOMPurify.sanitize(css, { CSS: true });
    }
    var customCss = '';

    var model = context.model,
      customCss = model.get('settings').get('pafe_custom_css'),
      customCssSoftlite = model.get('settings').get('_custom_css'),
      customCssDesktop = model.get('settings').get('_custom_css_f_ele_css_desktop'),
      customCssTablet = model.get('settings').get('_custom_css_f_ele_css_tablet'),
      customCssMobile = model.get('settings').get('_custom_css_f_ele_css_mobile');

    customCss += customCssSoftlite ? customCssSoftlite : '';
    customCss += customCssDesktop ? customCssDesktop : '';
    customCss += customCssTablet ? ' @media (max-width: 768px) { ' + customCssTablet + '}' : '';
    customCss += customCssMobile ? ' @media (max-width: 425px) { ' + customCssMobile + '}' : '';

    if (!customCss || customCss.trim() === '') {
      return DOMPurify.sanitize(css, { CSS: true });
    }

    var selector = '.elementor-' + elementData.postID + ' .elementor-element.elementor-element-' + model.get('id');

    if ('document' === model.get('elType')) {
      selector = elementor.config.document.settings.cssWrapperSelector;
    }

    if (customCss) {
      css += customCss.replaceAll('selector', selector);
    }

    return DOMPurify.sanitize(css, { CSS: true });
  }

  if ((typeof elementor) !== 'undefined') {
    elementor.hooks.addFilter('editor/style/styleText', pafeAddCustomCss);
  }
});
}